Subject: Re: USA Anvils

From: [email-masked] (Elton O Grubbs)
Date: Mon, 2 Sep 1996 19:15:57 -0700

You wrote: 
>
>I occasionally encounter small anvils with *USA* embossed on the side. 
 
>Most of these I've seen are about 10-lb size, but recently I came 
across 
>one of about 50-lb.  Are these *USA* anvils made by any particular 
>foundry?  Does anyone know anything about where they come from?  The 
>ones I've seen are of decent quality; seemly not from china or such.  
>Just curious ...
>
>D.C. Hufford
>
>
HI David

I purchase cast bells from Bells Nolvety Casting over in Albama. They 
cast the small anvils that you mentioned (about 8-10lb). When I toured 
their foundry I didn't see any bigger anvils being made and didn't see 
any for sale. Where did the larger ones come from? I don't have a clue.
Hope this helps.
Buster